Bug 98364 - [GTK] accessibility/editable-webarea-context-menu-point.html is failing
: [GTK] accessibility/editable-webarea-context-menu-point.html is failing
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Joanmarie Diggs (irc: joanie)
: Gtk, LayoutTestFailure
Depends on:
Blocks: 98347
  Show dependency treegraph
 
Reported: 2012-10-04 00:39 PDT by Zan Dobersek
Modified: 2012-12-10 00:11 PST (History)
5 users (show)

See Also:


Attachments
Patch (14.05 KB, patch)
2012-12-09 04:41 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff
Patch (14.24 KB, patch)
2012-12-09 05:46 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2012-10-04 00:39:00 PDT
accessibility/editable-webarea-context-menu-point.html is failing on all GTK platforms.
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=accessibility%2Feditable-webarea-context-menu-point.html
Comment 1 Joanmarie Diggs (irc: joanie) 2012-10-17 05:24:19 PDT
Definitely will require implementing AccessibilityUIElement::clickPointX(). Whether or not that will be sufficient to make this test pass remains to be seen.
Comment 2 Joanmarie Diggs (irc: joanie) 2012-12-09 04:41:26 PST
Created attachment 178410 [details]
Patch
Comment 3 Joanmarie Diggs (irc: joanie) 2012-12-09 04:43:51 PST
Chris: This patch just moves the failing test to the Mac platform as it seems to be mac-specific. I already checked with Mario and he agrees.

Please review. Thanks in advance!
Comment 4 Build Bot 2012-12-09 05:15:53 PST
Comment on attachment 178410 [details]
Patch

Attachment 178410 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/15222297

New failing tests:
platform/mac/accessibility/editable-webarea-context-menu-point.html
Comment 5 Joanmarie Diggs (irc: joanie) 2012-12-09 05:34:36 PST
I'm assuming that the failure on the mac is due to the fact that I'm moving the test, rather than a real failure.(?)
Comment 6 Joanmarie Diggs (irc: joanie) 2012-12-09 05:46:18 PST
Created attachment 178414 [details]
Patch
Comment 7 chris fleizach 2012-12-09 23:40:05 PST
Comment on attachment 178414 [details]
Patch

click point on the mac is just the center point of the bounding box. maybe there's something else that makes that hard to get to
Comment 8 WebKit Review Bot 2012-12-10 00:05:48 PST
Comment on attachment 178414 [details]
Patch

Clearing flags on attachment: 178414

Committed r137113: <http://trac.webkit.org/changeset/137113>
Comment 9 WebKit Review Bot 2012-12-10 00:05:53 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Joanmarie Diggs (irc: joanie) 2012-12-10 00:11:44 PST
(In reply to comment #7)
> (From update of attachment 178414 [details])
> click point on the mac is just the center point of the bounding box. maybe there's something else that makes that hard to get to

Aha! I didn't know about the bounding box. Bounding boxes I can get and center point I can calculate. Not sure if that makes this patch rollout-worthy....